put
https://ext-api.myzone.org/v1/accounts/
Modifies the details of an existing user account identified by accountId.
The request allows updating user information such as firstname, surname and email.
Note:
- Partial updates are supported, meaning only the fields provided in the request body will be updated.
- This endpoint does not support updating sensitive attributes like
doborsex. emailis the users communication email. You cannot change their login credentials.
Required Scope: write:accounts
Required Role:
This endpoint is availble to clients using the client credentials grant.
When using the authorization code flow grant the authorized user has access to their own data only. Unless they are an Owner in which case they have access to members of their gym.
